declare class ContextSimulator {
    _platform: string;
    _initialState: Record<string, any>;
    _mockFn: Function;
    constructor({ platform, initialState, mockFn, }: {
        platform: string;
        initialState?: Record<string, any>;
        mockFn?: Function;
    });
    createClient(): {};
    createUser(): {
        id: string;
        first_name: string;
        last_name: string;
        profile_pic: string;
        locale: string;
        timezone: number;
        gender: string;
        displayName?: undefined;
        userId?: undefined;
        pictureUrl?: undefined;
        statusMessage?: undefined;
        team_id?: undefined;
        name?: undefined;
        deleted?: undefined;
        color?: undefined;
        real_name?: undefined;
        tz?: undefined;
        tz_label?: undefined;
        tz_offset?: undefined;
        profile?: undefined;
        is_admin?: undefined;
        is_owner?: undefined;
        is_primary_owner?: undefined;
        is_restricted?: undefined;
        is_ultra_restricted?: undefined;
        is_bot?: undefined;
        updated?: undefined;
        is_app_user?: undefined;
        has_2fa?: undefined;
        username?: undefined;
        language_code?: undefined;
    } | {
        id: string;
        displayName: string;
        userId: string;
        pictureUrl: string;
        statusMessage: string;
        first_name?: undefined;
        last_name?: undefined;
        profile_pic?: undefined;
        locale?: undefined;
        timezone?: undefined;
        gender?: undefined;
        team_id?: undefined;
        name?: undefined;
        deleted?: undefined;
        color?: undefined;
        real_name?: undefined;
        tz?: undefined;
        tz_label?: undefined;
        tz_offset?: undefined;
        profile?: undefined;
        is_admin?: undefined;
        is_owner?: undefined;
        is_primary_owner?: undefined;
        is_restricted?: undefined;
        is_ultra_restricted?: undefined;
        is_bot?: undefined;
        updated?: undefined;
        is_app_user?: undefined;
        has_2fa?: undefined;
        username?: undefined;
        language_code?: undefined;
    } | {
        id: string;
        team_id: string;
        name: string;
        deleted: boolean;
        color: string;
        real_name: string;
        tz: string;
        tz_label: string;
        tz_offset: number;
        profile: {
            avatar_hash: string;
            status_text: string;
            status_emoji: string;
            real_name: string;
            display_name: string;
            real_name_normalized: string;
            display_name_normalized: string;
            email: string;
            image_24: string;
            image_32: string;
            image_48: string;
            image_72: string;
            image_192: string;
            image_512: string;
            team: string;
        };
        is_admin: boolean;
        is_owner: boolean;
        is_primary_owner: boolean;
        is_restricted: boolean;
        is_ultra_restricted: boolean;
        is_bot: boolean;
        updated: number;
        is_app_user: boolean;
        has_2fa: boolean;
        first_name?: undefined;
        last_name?: undefined;
        profile_pic?: undefined;
        locale?: undefined;
        timezone?: undefined;
        gender?: undefined;
        displayName?: undefined;
        userId?: undefined;
        pictureUrl?: undefined;
        statusMessage?: undefined;
        username?: undefined;
        language_code?: undefined;
    } | {
        id: string;
        first_name: string;
        last_name: string;
        username: string;
        language_code: string;
        profile_pic?: undefined;
        locale?: undefined;
        timezone?: undefined;
        gender?: undefined;
        displayName?: undefined;
        userId?: undefined;
        pictureUrl?: undefined;
        statusMessage?: undefined;
        team_id?: undefined;
        name?: undefined;
        deleted?: undefined;
        color?: undefined;
        real_name?: undefined;
        tz?: undefined;
        tz_label?: undefined;
        tz_offset?: undefined;
        profile?: undefined;
        is_admin?: undefined;
        is_owner?: undefined;
        is_primary_owner?: undefined;
        is_restricted?: undefined;
        is_ultra_restricted?: undefined;
        is_bot?: undefined;
        updated?: undefined;
        is_app_user?: undefined;
        has_2fa?: undefined;
    } | {
        id: string;
        first_name?: undefined;
        last_name?: undefined;
        profile_pic?: undefined;
        locale?: undefined;
        timezone?: undefined;
        gender?: undefined;
        displayName?: undefined;
        userId?: undefined;
        pictureUrl?: undefined;
        statusMessage?: undefined;
        team_id?: undefined;
        name?: undefined;
        deleted?: undefined;
        color?: undefined;
        real_name?: undefined;
        tz?: undefined;
        tz_label?: undefined;
        tz_offset?: undefined;
        profile?: undefined;
        is_admin?: undefined;
        is_owner?: undefined;
        is_primary_owner?: undefined;
        is_restricted?: undefined;
        is_ultra_restricted?: undefined;
        is_bot?: undefined;
        updated?: undefined;
        is_app_user?: undefined;
        has_2fa?: undefined;
        username?: undefined;
        language_code?: undefined;
    };
    createContext({ event, state, }: {
        event: Record<string, any>;
        state?: Record<string, any>;
    }): Record<string, any>;
    createEvent(properties?: Record<string, any>): Record<string, any>;
    createTextContext(text: string, options?: Record<string, any>): Record<string, any>;
}
export default ContextSimulator;
//# sourceMappingURL=ContextSimulator.d.ts.map